This project has moved and is read-only. For the latest updates, please go here.

NAudio 1.7 targeting .Net 4.5

Aug 30, 2014 at 3:51 PM
Hi Mark, et al,
Last year I recompiled NAudio 1.7 to target .Net 4.0. All has been running nicely -- at least the libraries I use. So cudos!!

I'm getting ready to migrate my app target .Net 4.5 (for new 4.5 language features mostly). Has anyone compiled NAudio to target 4.5? If yes, does it all work? Any gotchas you know of?
Sep 1, 2014 at 10:13 PM
I'm running 4.5.1.

I don't know why people are so afraid of compiling towards newer .net versions??? i haven't had any problems, ever.
Sep 2, 2014 at 9:44 AM
sure you could compile NAudio with .NET 4.5 but the existing NAudio assembly will work absolutely fine in .NET 4.5
Marked as answer by Theseus on 9/2/2014 at 5:54 AM
Sep 2, 2014 at 1:53 PM
Thanks guys.

Arextion, thanks for the confirmation. Since Metro was introduced, things seem to have moved around in the MS roadmap. So yeah, I'm getting careful with development "upgrades". ;-)

Mark, that's good to know. So it sounds like I can just keep using my .Net 4.0 NAudio 1.7 dlls. And they will work fine with a .Net 4.5 app.